Subject: bug#22714: 25.0.91; Minibuffer quirk in C-x r SPC

From: Kaushal Modi <[email-masked]>
Date: Wed, 17 Feb 2016 09:07:55 -0500

OK, I found the change that caused this.

http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-25&id=0da7d35c6754b44d1ef4383e4a8ba9b98afc3a4c

diff --git a/lisp/register.el b/lisp/register.el
index 1c64a9a..6a5792c 100644
--- a/lisp/register.el
<http://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/register.el?h=emacs-25&id=c435f506a1fd8fbf2bd22f59226ef296a3eb6ab3>
+++ b/lisp/register.el
<http://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/register.el?h=emacs-25&id=0da7d35c6754b44d1ef4383e4a8ba9b98afc3a4c>
@@ -161,7 +161,7 @@ display such a window regardless."
collect c)))
(unwind-protect
(progn
- (while (memq (read-event (propertize prompt 'face 'minibuffer-prompt))
+ (while (memq (read-key (propertize prompt 'face 'minibuffer-prompt))
help-chars)
(unless (get-buffer-window buffer)
(register-preview buffer 'show-empty)))

It's the use of read-key instead of read-event that's causing this.

Stefan should be able to comment more on why that changes the behavior of
the prompt staying vs disappearing.

--
Kaushal Modi

On Wed, Feb 17, 2016 at 8:56 AM, Kaushal Modi <[email-masked]>
wrote:

>
> I don't have a solution but I can confirm this behavior.
>
> In emacs 24.5, the "Point to Register" prompt disappears after pressing
> "1".
> In emacs 25.x, the prompt stays there after pressing "1".
>
> I tried edebugging in both 24.5 and 25.x but the behavior looks the same
> when doing edebug (the prompt disappears).
>
> I briefly looked at the register.el, but couldn't spot any change there
> that could be causing this. So the change is probably in some common
> library in elisp/C.
>
> --
> Kaushal Modi
>